package org.bioapi.data;

/**
 * Structure that provides the information which is used to generate ACBio
 * instances.
 */
public class ACBioParameters {

	private int[] challenge;
	private int[] initialBPUIOIndexOutput;
	private int[] supremumBPUIOIndexOutput;

	public ACBioParameters(int[] challenge, int[] initialBPUIOIndexOutput,
			int[] supremumBPUIOIndexOutput) {
		this.challenge = challenge;
		this.initialBPUIOIndexOutput = initialBPUIOIndexOutput;
		this.supremumBPUIOIndexOutput = supremumBPUIOIndexOutput;
	}

	public int[] getChallenge() {
		return challenge;
	}

	public int[] getInitialBPUIOIndexOutput() {
		return initialBPUIOIndexOutput;
	}

	public int[] getSupremumBPUIOIndexOutput() {
		return supremumBPUIOIndexOutput;
	}

}
