package org.bioapi.data;

/**
 * Represents calendar date and time. Both date and time are coded in the same
 * inferface as CBEFF and ISO/IEC 19794 code it in that way. Each of the
 * properties have been defined as integers for homogenity among properties.
 * Also comparison methods are available to help on the use of complex date and
 * time values.
 */
public class Date {

	private int dayOfMonth;
	private int month;
	private int year;
	private int hour;
	private int minute;
	private int second;

	public Date(int dayOfMonth, int month, int year, int hour, int minute,
			int second) {
		this.dayOfMonth = dayOfMonth;
		this.month = month;
		this.year = year;
		this.hour = hour;
		this.minute = minute;
		this.second = second;
	}

	public int getDayOfMonth() {
		return dayOfMonth;
	}

	public void setDayOfMonth(int dayOfMonth) {
		this.dayOfMonth = dayOfMonth;
	}

	public int getMonth() {
		return month;
	}

	public void setMonth(int month) {
		this.month = month;
	}

	public int getYear() {
		return year;
	}

	public void setYear(int year) {
		this.year = year;
	}

	public int getHour() {
		return hour;
	}

	public void setHour(int hour) {
		this.hour = hour;
	}

	public int getMinute() {
		return minute;
	}

	public void setMinute(int minute) {
		this.minute = minute;
	}

	public int getSecond() {
		return second;
	}

	public void setSecond(int second) {
		this.second = second;
	}

	boolean isLowerOrEqual(int day, int month, int year, int hour, int minute,
			int second) {
		return false;
	}

	boolean isLowerOrEqual(int day, int month, int year) {
		return false;
	}

	boolean isLowerOrEqual(Date date) {
		return false;
	}

	boolean isHigherOrEqual(int day, int month, int year, int hour, int minute,
			int second) {
		return false;
	}

	boolean IsHigherOrEqual(int day, int month, int year) {
		return false;
	}

	boolean isHigherOrEqual(Date date) {
		return false;
	}

}
