/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.bioapi;

import java.util.EventListener;
import java.util.UUID;
import java.util.Vector;
import org.bioapi.data.DataTypes.BiometricSubtype;
import org.bioapi.data.DataTypes.GUIEnrolType;
import org.bioapi.data.DataTypes.GUIMoment;
import org.bioapi.data.DataTypes.GUIOperation;
import org.bioapi.data.DataTypes.GUIResponse;

/**
 * 
 * @author Dani
 */
public interface GUISelectEventListener extends EventListener {

	public boolean guiSelectEventCallback(UUID bspUUID, int unitID,
			GUIEnrolType enrolType, GUIOperation operation, GUIMoment moment,
			int resultCode, int maxNumEnrollSamples,
			Vector<BiometricSubtype> selectableInstances,
			Vector<BiometricSubtype> selectedInstances,
			Vector<BiometricSubtype> capturedInstances, final String text,
			GUIResponse response) throws BioAPIException;

}
