package org.bioapi.data;

import org.bioapi.data.DataTypes.BiometricSubtype;

/**
 * This class provides the support for exchanging graphical information between
 * the application and the BSP, through GUI callback functions.
 */
public class GUIBitmap {

	BiometricSubtype birSubtype;
	int width;
	int height;
	byte[][] pixel;

	public GUIBitmap() {
	}

	public GUIBitmap(BiometricSubtype birSubtype, int width, int height,
			byte[][] pixel) {
		this.birSubtype = birSubtype;
		this.width = width;
		this.height = height;
		this.pixel = pixel;
	}

	public BiometricSubtype getBIRSubtype() {
		return birSubtype;
	}

	public void setBirSubtype(BiometricSubtype birSubtype) {
		this.birSubtype = birSubtype;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public byte[][] getPixel() {
		return pixel;
	}

	public void setPixel(byte[][] pixel) {
		this.pixel = pixel;
	}

}
