package org.bioapi.data;

import java.util.UUID;

/**
 * Defines a member of the population list to be used for identification
 * purposes
 */
public class PopulationMember {

	UUID key;
	BIR template;

	public PopulationMember(UUID key, BIR template) {
		this.key = key;
		this.template = template;
	}

	public UUID getKey() {
		return key;
	}

	public void setKey(UUID key) {
		this.key = key;
	}

	public BIR getTemplate() {
		return template;
	}

	public void setTemplate(BIR template) {
		this.template = template;
	}
}
