package org.bioapi.data;

import org.bioapi.data.DataTypes.UnitCategoryType;

/**
 * Identifies a BioAPI_Unit by category and ID. A list of these elements is used
 * to establish an attach session.
 */
public class UnitListElement {

	private UnitCategoryType unitCategory;
	private int unitID;

	public UnitListElement(UnitCategoryType unitCategory, int unitID) {
		this.unitCategory = unitCategory;
		this.unitID = unitID;
	}

	public UnitCategoryType getUnitCategory() {
		return unitCategory;
	}

	public void setUnitCategory(UnitCategoryType unitCategory) {
		this.unitCategory = unitCategory;
	}

	public int getUnitID() {
		return unitID;
	}

	public void setUnitID(int unitID) {
		this.unitID = unitID;
	}

}
